Bug 553769 - Review Request: euca2ools - Tools for Eucalyptus EC2-compatible Computation Service
Review Request: euca2ools - Tools for Eucalyptus EC2-compatible Computation S...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-08 16:01 EST by Garrett Holmstrom
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: euca2ools-1.2-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-28 09:49:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Garrett Holmstrom 2010-01-08 16:01:11 EST
Spec URL: http://homepages.spa.umn.edu/~holms/euca2ools-1.1-1.fc12.spec
SRPM URL: http://homepages.spa.umn.edu/~holms/euca2ools-1.1-1.fc12.src.rpm
Description:
EUCALYPTUS is an open source service overlay that implements elastic
computing using existing resources. The goal of EUCALYPTUS is to allow
sites with existing clusters and server infrastructure to co-host an
elastic computing service that is interface-compatible with Amazon's EC2.

This package contains the command line tools to interact with Eucalyptus.
This tools are compatible with Amazon EC2.

Other info:
I am in need of a sponsor
Comment 1 Garrett Holmstrom 2010-01-08 17:49:20 EST
Updated to include COPYING and INSTALL docfiles

Koji scratch build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1910580
Comment 3 Jason Tibbitts 2010-01-20 15:19:17 EST
Finally some time to work on this.

This builds fine and rpmlint finds nothing to complain about.  The spec is very clean.

Nothing owns "%{python_sitelib}/euca2ools".  Why not just
"%{python_sitelib}/%{name}/" in the files list instead of the three separate lines you have now?  That would get all of the files, solve the directory ownership problem and be two lines shorter.

Note that the BuildRoot tag is not required for Fedora, nor is the "rm -rf" line at the start of %install.  I would suggest that you remove these unless you plan to submit this package to EPEL and want to keep the same spec for all releases.  (I'm guessing you don't, since you require python 2.5.)

Consider not using versioned dependencies unless there exists a supported Fedora release that at some point had a version which is too old.  For example, F10 shipped with m2crypto 0.19.1, so no supported Fedora release ever had a version old enough that the versioned dependency would matter.  F10 shipped with python-boto 1.2a but was updated to 1.8d, so a versioned dependency makes sense there (if you intend to release this to F10).  The reason this matters is that these dependencies often become quickly outdated, so years hence we wonder why there are versioned dependencies that have been satisfied for ages.  See http://fedoraproject.org/wiki/Packaging:Guidelines#Requires for further information.

Why does this have any dependency on swig?  I can't see where the code would call swig at runtime, and I don't see why it's required at build time.  INSTALL says only that swig is needed to build the dependencies, but you're not building them.


* source files match upstream.  sha256sum:                  
   87ed69dcb418427519020cdcf0616ce7caf5567e79c80287a2af63c139d04f48
   euca2ools-1.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license (2-clause BSD -> BSD)
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (x86_64, rawhide).
* package installs properly.
* rpmlint is silent.
? final provides and requires:
   euca2ools = 1.1-3.fc13
  =
   /usr/bin/env
?  m2crypto >= 0.19.1
   python(abi) = 2.6
?  python-boto >= 1.8d
?   swig

* %check is not present; no test suite upstream.  Without the necessary 
   infrastructure, I have no way to test this.
X fails to own %{python_sitelib}/euca2ools.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 4 Garrett Holmstrom 2010-01-20 20:32:01 EST
(In reply to comment #3)

Thanks for the review!

> Nothing owns "%{python_sitelib}/euca2ools".  [...]

Fixed.

> Note that the BuildRoot tag is not required for Fedora, nor is the "rm -rf"
> line at the start of %install.  I would suggest that you remove these unless
> you plan to submit this package to EPEL and want to keep the same spec for all
> releases.  (I'm guessing you don't, since you require python 2.5.)
> 
> Consider not using versioned dependencies unless there exists a supported
> Fedora release that at some point had a version which is too old.  [...]

Fixed, though rpmlint doesn't like the lack of buildroot-related bits.  I initially planned to build this for el5 at $dayjob, where we also install Python 2.6, but that idea since went out the window and those bits lingered.

> Why does this have any dependency on swig?  I can't see where the code would
> call swig at runtime, and I don't see why it's required at build time.  INSTALL
> says only that swig is needed to build the dependencies, but you're not
> building them.

Also fixed.

Spec:  http://www.physics.umn.edu/~holms/euca2ools-1.1-4.fc12.spec
SRPM:  http://www.physics.umn.edu/~holms/euca2ools-1.1-4.fc12.src.rpm
Koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1935159
Comment 5 Jason Tibbitts 2010-01-20 22:30:13 EST
You're right that rpmlint doesn't like modern packaging style; unfortunately the rpmlint maintainer won't remove the warning at this time, and some additional work is needed to support per-distribution warning configurations.  It's certainly not a blocker to leave those things in there, but it would certainly be foolish to add them just because rpmlint has pointless complaints.

One terribly minor thing that I'll just point out in case you're not aware: %{buildroot} includes a trailing slash.  It makes no difference, but if you wonder where the double slash in
  + mkdir -p /builddir/build/BUILDROOT/euca2ools-1.1-4.fc13.x86_64//usr/bin
comes from, that's it.

All of the issues I found have been fixed, and this package seems to be fine.

APPROVED

I've clicked the necessary buttons to get your packager status set up, so after that propagates (about an hour) you should be able to make a CVS request.  If you need any assistance getting things checked in and built, or if you'd like for me to look over any package reviews you're doing, just ping me on IRC or send email.
Comment 6 Garrett Holmstrom 2010-01-25 00:30:26 EST
New Package CVS Request
=======================
Package Name: euca2ools
Short Description: Elastic Utility Computing Architecture command line tools
Owners: gholms
Branches: F-12 F-13
Comment 7 Jason Tibbitts 2010-01-27 00:11:44 EST
Unfortunately I can't create this package as long as your bugzilla email
address differs from the address registered in your FAS account.  The system
won't let me.
Comment 8 Toshio Ernie Kuratomi 2010-02-04 16:17:27 EST
email address fixed in the special fas mapping.  Package created.

cvs done.
Comment 9 Fedora Update System 2010-02-04 20:47:18 EST
euca2ools-1.1-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/euca2ools-1.1-5.fc12
Comment 10 Fedora Update System 2010-02-05 19:04:24 EST
euca2ools-1.1-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update euca2ools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1532
Comment 11 Fedora Update System 2010-02-16 08:07:14 EST
euca2ools-1.1-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update euca2ools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1532
Comment 12 Fedora Update System 2010-02-18 16:20:35 EST
euca2ools-1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/euca2ools-1.2-1.fc13
Comment 13 Fedora Update System 2010-02-18 16:22:12 EST
euca2ools-1.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/euca2ools-1.2-1.fc12
Comment 14 Fedora Update System 2010-02-18 16:22:38 EST
euca2ools-1.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/euca2ools-1.2-1.fc12
Comment 15 Fedora Update System 2010-02-19 19:06:34 EST
euca2ools-1.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update euca2ools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-1499
Comment 16 Fedora Update System 2010-02-19 19:08:18 EST
euca2ools-1.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update euca2ools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1802
Comment 17 Fedora Update System 2010-02-28 09:49:22 EST
euca2ools-1.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-03-01 19:58:32 EST
euca2ools-1.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Garrett Holmstrom 2011-03-04 12:27:26 EST
Package Change Request
======================
Package Name: euca2ools
New Branches: el5
Owners: gholms
InitialCC: 

The addition of python26-boto and python26-m2crypto now make it possible to use euca2ools on el5.
Comment 20 Jason Tibbitts 2011-03-04 13:48:10 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.